--- a/contrib/wix/mercurial.wxs Wed Mar 17 10:51:26 2010 +0100
+++ b/contrib/wix/mercurial.wxs Wed Mar 17 10:55:28 2010 +0100
@@ -9,7 +9,7 @@
<?define ComponentMainExecutableGUID = D102B8FA-059B-4ACC-9FA3-8C78C3B58EEF ?>
<?define ProductUpgradeCode = A1CC6134-E945-4399-BE36-EB0017FDF7CF ?>
- <Product Name='Mercurial' Id='*'
+ <Product Name='Mercurial $(var.Version)' Id='*'
UpgradeCode='$(var.ProductUpgradeCode)'
Language='1033' Codepage='1252' Version='$(var.Version)' Manufacturer='Matt Mackall and others.'>
--- a/tests/test-mq Wed Mar 17 10:51:26 2010 +0100
+++ b/tests/test-mq Wed Mar 17 10:55:28 2010 +0100
@@ -86,6 +86,11 @@
hg init --mq
cd ..
+echo '% init --mq with repo path'
+hg init g
+hg init --mq g
+test -d g/.hg/patches/.hg && echo "ok" || echo "failed"
+
echo '% init --mq with nonexistent directory'
hg init --mq nonexistentdir
--- a/tests/test-mq.out Wed Mar 17 10:51:26 2010 +0100
+++ b/tests/test-mq.out Wed Mar 17 10:55:28 2010 +0100
@@ -91,6 +91,8 @@
B
% init --mq without repo
abort: There is no Mercurial repository here (.hg not found)
+% init --mq with repo path
+ok
% init --mq with nonexistent directory
abort: repository nonexistentdir not found!
% init --mq with bundle (non "local")